#!/bin/bash 

echo "setup environment variables"
export DISPLAY=localhost0.0 
export GROUP=nova 
echo "User is $USER"

rel=dev
in_rel=S12-11-16
echo "Using Release: $rel"
echo "with input release: $in_rel"

if [[ $rel == "dev" ]]; then
    export SRT_PUBLIC_CONTEXT=/grid/fermiapp/nova/novaart/novasvn/releases/development
else
    export SRT_PUBLIC_CONTEXT=/grid/fermiapp/nova/novaart/novasvn/releases/$rel
fi

echo "SRT_PUBLIC_CONTEXT $SRT_PUBLIC_CONTEXT"

echo "Setup grid tools"
source /grid/fermiapp/products/nova/etc/setups.sh 
setup jobsub_tools 

echo "cd $PWD"
cd $PWD

perl BatchJobSubmitterOverlay.perl -g genie -i $in_rel -o $rel -mc -n 1 -D
#perl BatchJobSubmitterPID.perl -g genie -i $in_rel -o $rel -mc -n 2000 
#perl BatchJobSubmitterPID.perl -g cosmic -i $in_rel -o $rel -n 2000 
#perl BatchJobSubmitterPID.perl -g numi -i $in_rel -o $rel -n 2000 
#perl BatchJobSubmitterPID.perl -g cosmics -i $in_rel -o $rel -mc -n 2000

nova_q
