


endl = "\n"

# HTML Helper functions 
def title(str):
  return "<title>" + str + "</title>"
def heading1(str):
  return "<h1>" + str + "</h1>"
def heading2(str):
  return "<h2>" + str + "</h2>"
def heading3(str):
  return "<h3>" + str + "</h3>"
def link(text, url, newTab=False):
  l =  '<a href="'+ url + '" '
  if newTab:
    l += 'target="_blank"'
  l += '">' + text + "</a>"
  return l 

def paragraph(str):
  return "<p>" + str + "</p>"
def bold(str):
  return "<b>" + str + "</b>"
def entry(str):
  return "<li>" + str + "</li>"
def hrule():
  return '<hr width="810px" align="left" noshade color="#000000">'

def hruleWide():
  return '<hr  align="left" noshade color="#000000">'



def img(path, mouseover=""):
  return '<img src="' + path +'" alt="'+ mouseover +'">'



def preventCaching():
  return """
            <meta http-equiv="cache-control" content="max-age=0" />
            <meta http-equiv="cache-control" content="no-cache" />
            <meta http-equiv="expires" content="0" />
            <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
            <meta http-equiv="pragma" content="no-cache" />
            """


# Bootstrap stuff

def bootStrap():
  return """
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">



    <!-- Bootstrap core CSS -->
    <link href="../static/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="../static/bootstrap/css/theme.css" rel="stylesheet">

  """

def bodyOpen():
  return '<body role="document">'

def bodyClose():
  return   """
        <!-- Bootstrap core JavaScript
        ================================================== -->
        <!-- Placed at the end of the document so the pages load faster -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
        <script src="../static/bootstrap/js/bootstrap.min.js"></script>

        </body>'
      """

def jumbo(content):
  t = ' <div class="jumbotron">' + endl 
  t+= "    " +  content + endl 
  t+= '</div>' + endl 
  return t

def panel(title, content):
    p = """<div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">""" + title + """</h3>
      </div>
      <div class="panel-body">
      """+content+"""
      </div>
    </div>"""
    return p

def button(text, url):
  b = '<button type="button" class="btn btn-default navbar-btn">'
  b += link(text, url)
  b += "</button>"
  return b

def alertDanger(text):
  return '<div class="alert alert-danger" role="alert">'+text+'</div>'

def alertLink(text, url, newTab=False):
  l ='<a href="'+url+'"' 
  if newTab:
    l += 'target="_blank"'
  l += ' class="alert-link">'+text+'</a>'
  return l 


