#!/bin/bash
TMPSAMPLESDIR=/tmp/novapro_tmp/
SAMPLESDIR=/nova/prod/data/keepup/samples/
# start fresh
rm -r $TMPSAMPLESDIR
mkdir $TMPSAMPLESDIR
cd $TMPSAMPLESDIR
wget https://cdcvs.fnal.gov/redmine/projects/nova_sam/wiki/Official_Datasets -O - \
    | sed 's/</ /g' \
    | sed 's/>/ /g' \
    | sed 's/ /\n/g' \
    | grep "prod_" \
    | grep "keepup" \
    > datasets
for DATASET in `cat datasets`
do
  echo $DATASET
  samweb list-definition-files $DATASET | sort | tail -3 > /tmp/keepupsample
  if [ -s /tmp/keepupsample ]; then
      mkdir $TMPSAMPLESDIR/$DATASET
      cd $TMPSAMPLESDIR/$DATASET
      ifdh_fetch `cat /tmp/keepupsample`
      cd ..
  fi
done
[ -e /tmp/keepupsample ] && rm /tmp/keepupsample
# copy to final destination
rm -r $SAMPLESDIR
mkdir $SAMPLESDIR
cd $SAMPLESDIR
cp -r $TMPSAMPLESDIR/* $SAMPLESDIR/
