#!/bin/csh

if( $#argv < 1) then
    echo "must supply geometry base file name"
    exit 0
endif

set basename = $argv[1];

echo "testing geometry for $basename"

sed s/geofile/$basename/ geotestjob.fcl > ${basename}testjob.fcl

nova -c ./${basename}testjob.fcl

echo "done testing geometry"

rm ${basename}testjob.fcl
rm *.log
