#!/bin/bash

if [ -z "$SRT_PUBLIC_CONTEXT" ]; then
   source /grid/fermiapp/nova/novaart/novasoft/srt/srt.sh
   export EXTERNALS=/nusoft/app/externals
   source $SRT_DIST/setup/setup_novasoft.sh
   echo $SRT_PUBLIC_CONTEXT
fi

if [ -z "$SRT_PRIVATE_CONTEXT" ]; then
   pushd $HOME/work/nova/development && srt_setup -a && popd
   echo $SRT_PRIVATE_CONTEXT
fi

pushd /nova/app/users/dailyvalidation/validation/
echo "PWD=" $PWD
$SRT_PUBLIC_CONTEXT/Validation/validation.py autovalidate > autovalidate_$(date +%Y%m%d).log 2>&1 &
find . -name '*.root' -mtime +15 -exec rm {} \;
find . -name '*.log' -mtime +15 -exec rm {} \;
popd
