////////////////////////////////////////////////////////////////////////
/// \brief   Definition of object to store subrun related information 
/// \author  brebel@fnal.gov
/// \date
////////////////////////////////////////////////////////////////////////
#ifndef SD_SUBRUNDATA_H
#define SD_SUBRUNDATA_H

namespace sumdata
{
  class SubRunData
  {
    
  public: 
    
    SubRunData(); // Default constructor
    explicit SubRunData(int detid);
    ~SubRunData();
    
    int DetId() const { return fDetId; }
    
  private:
    
    int fDetId;
    
  };
}

#endif // SD_SUBRUNDATA_H
/////////////////////////////////////////////////////////////////////////////
