void draw_track(unsigned int i) 
{
  char buff[256];
  sprintf(buff, "track_fit_%.2d",i);

  gStyle->SetOptStat(0);

  TCanvas* c = new TCanvas(buff,buff,700,500);
  c->Draw();
  
  sprintf(buff, "trkT_%.2d",i);
  TGraph* g1 = (TGraph*)gDirectory->FindObjectAny(buff);

  sprintf(buff, "trkM_%.2d",i);
  TGraph* g2 = (TGraph*)gDirectory->FindObjectAny(buff);

  sprintf(buff, "trkF_%.2d",i);
  TGraph* g3 = (TGraph*)gDirectory->FindObjectAny(buff);

  g1->SetLineColor(kRed);
  g2->SetMarkerColor(kBlack);
  g2->SetMarkerStyle(34);
  g3->SetLineColor(kBlue);
  
  g1->Draw("AC");
  g2->Draw("P");
  g3->Draw();
   
  sprintf(buff, "track_fit_%.2d.png",i);
  c->SaveAs(buff);
}

//......................................................................

void lutz()
{
  TFile* f = new TFile("lutz.root");
  
  draw_track(0);
  draw_track(1);
  draw_track(2);
  draw_track(3);
  draw_track(4);
  draw_track(5);
  
  gStyle->SetOptStat(1111);

  TCanvas* c1 = new TCanvas("c1","chi2Histo");
  chi2Histo->Draw();
  c1->SaveAs("chi2Histo.png");

  TCanvas* c2 = new TCanvas("c2","aHisto");
  aHisto->Draw();
  c2->SaveAs("aHisto.png");

  TCanvas* c3 = new TCanvas("c3","bHisto");
  bHisto->Draw();
  c3->SaveAs("bHisto.png");

  TCanvas* c4 = new TCanvas("c4","xResidHisto");
  xResidHisto->Draw();
  c4->SaveAs("xResidHisto1.png");

  TCanvas* c7 = new TCanvas("c7","alphaResidHisto");
  alphaResidHisto->Draw();
  c7->SaveAs("alphaResidHisto2.png");
}

////////////////////////////////////////////////////////////////////////
