//
// Display the hit-level ntuple created by the ElasticArmsHS
// module. Useful for debugging.
//
//
void earmsnt(TNtuple* nt, int run, int evt)
{
  TCanvas* c = new TCanvas("showevt","showevt",600,800);
  c->Divide(1,2);

  char buff[256];
  
  c->cd(1);
  nt->SetMarkerStyle(25);
  
  nt->SetMarkerColor(kGray);
  sprintf(buff,"run==%d&&evt==%d&&view==0",run,evt);
  nt->Draw("xy:z",buff);

  nt->SetMarkerStyle(21);
  int co[5] = {kRed,kOrange,kGreen,kBlue,kViolet};
  for (a=0; a<5; ++a) {
    sprintf(buff,"run==%d&&evt==%d&&view==0&&via>0.1&&a==%d",run,evt,a);
    nt->SetMarkerColor(co[a]);
    nt->Draw("xy:z",buff,"same");
  }

  //....................................................................
  
  c->cd(2);
  nt->SetMarkerStyle(25);
  
  nt->SetMarkerColor(kGray);
  sprintf(buff,"run==%d&&evt==%d&&view==1",run,evt);
  nt->Draw("xy:z",buff);

  nt->SetMarkerStyle(21);
  int co[5] = {kRed,kOrange,kGreen,kBlue,kViolet};
  for (a=0; a<5; ++a) {
    sprintf(buff,"run==%d&&evt==%d&&view==1&&via>0.1&&a==%d",run,evt,a);
    nt->SetMarkerColor(co[a]);
    nt->Draw("xy:z",buff,"same");
  }
}
////////////////////////////////////////////////////////////////////////
