////////////////////////////////////////////////////////////////////////
// $Id: SimHit.cxx,v 1.3 2011-10-19 20:31:56 brebel Exp $
//
// SimHit class
//   hits in detector from MC simulation (no noise, no atten., perfect
//   deposits of energy from each contributing particle)
//
////////////////////////////////////////////////////////////////////////
#include "MCCheater/SimHit.h"

#include <string>
#include <iostream>

namespace cheat{

  //----------------------------------------------------------------------

  SimHit::SimHit() :
    rb::CellHit(),
    fCoorX(0),
    fCoorY(0),
    fCoorZ(0),
    fTotE(0),
    fNP(0),
    fTrID(0),
    fPID(0),
    fEnD(0),
    fTim(0)
  {
  }

  //----------------------------------------------------------------------

  SimHit::~SimHit()
  {
  }

} // namespace
