# Wrapper script to declare metadata of S12.02.14 NDOS files to SAM
import subprocess

oldfiles = open("/nova/app/users/janzirn/fixdev/Metadata/OldFiles.txt",'r')
resfile  = open("/nova/ana/users/janzirn/MDTmp/MDRes.txt",'w')
for line in oldfiles:
  file = line.rstrip()
  try:
    out = subprocess.check_output("python /nova/app/users/janzirn/fixdev/Metadata/DeclareReco.py  "+file,
				stderr=subprocess.STDOUT,shell=True)
  except subprocess.CalledProcessError as err:
    resfile.write(file+'\tFail with '+err.output)
    resfile.write('\n')
    continue

  resfile.write(file+'\tSuccess ')
  resfile.write(out)
  resfile.write('\n')

oldfiles.close()
resfile.close()
