#include "NumuSandbox/NumuSandObj.h"

namespace numusand
{
  //---------------------------------------------------------
  NumuSandObj::NumuSandObj()
  {
    SetPiMuDecay(-5);
    SetMissingE(-5.);
    SetXMin2(-5.);
    SetYMin2(-5.);
    SetZMin2(-5.);
    SetXMax2(-5.);
    SetYMax2(-5.);
    SetZMax2(-5.);
    SetXMint(-5.);
    SetYMint(-5.);
    SetZMint(-5.);
    SetXMaxt(-5.);
    SetYMaxt(-5.);
    SetZMaxt(-5.);
    SetNProtons(-5);
    SetNMuTrks(-5);
    SetPDGBest(-5);
    SetPDGSecondBest(-5);
    SetNDropped(-5);
    SetNBad(-5);
  }

  //---------------------------------------------------------
  NumuSandObj::~NumuSandObj()
  {
  }

  //---------------------------------------------------------
  void NumuSandObj::SetPiMuDecay(int pitomu)
  {
    fPiMuDecay = pitomu;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetMissingE(float misse)
  {
    fMissE = misse;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMin2(float dxmin2)
  {
    fXmin2 = dxmin2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMin2(float dymin2)
  {
    fYmin2 = dymin2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMin2(float dzmin2)
  {
    fZmin2 = dzmin2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMax2(float dxmax2)
  {
    fXmax2 = dxmax2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMax2(float dymax2)
  {
    fYmax2 = dymax2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMax2(float dzmax2)
  {
    fZmax2 = dzmax2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMint(float dxmint)
  {
    fXmint = dxmint;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMint(float dymint)
  {
    fYmint = dymint;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMint(float dzmint)
  {
    fZmint = dzmint;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMaxt(float dxmaxt)
  {
    fXmaxt = dxmaxt;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMaxt(float dymaxt)
  {
    fYmaxt = dymaxt;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMaxt(float dzmaxt)
  {
    fZmaxt = dzmaxt;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetNProtons(int nprotons)
  {
    fNProtons = nprotons;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetNMuTrks(int nmutrks)
  {
    fNMuTrks = nmutrks;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetPDGBest(int pdgbest)
  {
    fPDGBest = pdgbest;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetPDGSecondBest(int pdgsecondbest)
  {
    fPDGSecondBest = pdgsecondbest;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetNDropped(int ndropped)
  {
    fNDropped = ndropped;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetNBad(int nbad)
  {
    fNBad = nbad;
  }

  //---------------------------------------------------------
  int NumuSandObj::PiMuDecay() const
  {
    return fPiMuDecay;
  }

  //---------------------------------------------------------
  float NumuSandObj::MissingE() const
  {
    return fMissE;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMin2() const
  {
    return fXmin2;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMin2() const
  {
    return fYmin2;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMin2() const
  {
    return fZmin2;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMax2() const
  {
    return fXmax2;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMax2() const
  {
    return fYmax2;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMax2() const
  {
    return fZmax2;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMint() const
  {
    return fXmint;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMint() const
  {
    return fYmint;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMint() const
  {
    return fZmint;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMaxt() const
  {
    return fXmaxt;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMaxt() const
  {
    return fYmaxt;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMaxt() const
  {
    return fZmaxt;
  }

  //---------------------------------------------------------
  int NumuSandObj::NProtons() const
  {
    return fNProtons;
  }

  //---------------------------------------------------------
  int NumuSandObj::NMuTrks() const
  {
    return fNMuTrks;
  }

  //---------------------------------------------------------
  int NumuSandObj::PDGBest() const
  {
    return fPDGBest;
  }

  //---------------------------------------------------------
  int NumuSandObj::PDGSecondBest() const
  {
    return fPDGSecondBest;
  }

  //---------------------------------------------------------
  int NumuSandObj::NDropped() const
  {
    return fNDropped;
  }

  //---------------------------------------------------------
  int NumuSandObj::NBad() const
  {
    return fNBad;
  }

}
