#include "RecoBase/Cluster.h"
#include "Preselection/NuePreselObj.h"
#include "Preselection/Veto.h"

#include "art/Persistency/Common/Assns.h"
#include "art/Persistency/Common/Ptr.h"
#include "art/Persistency/Common/Wrapper.h"

/* class templates for Veto */

template class std::vector<presel::Veto>;
template class art::Ptr<presel::Veto>;
template class std::vector<art::Ptr<presel::Veto> >;
template class art::Assns<rb::Cluster, presel::Veto, void>;
template class art::Assns<presel::Veto, rb::Cluster, void>;

template class std::pair< rb::Cluster, presel::Veto >;
template class std::pair< art::Ptr<rb::Cluster>, art::Ptr<presel::Veto> >;
template class std::pair< presel::Veto, rb::Cluster >;
template class std::pair< art::Ptr<presel::Veto>, art::Ptr<rb::Cluster> >;

template class art::Wrapper< std::vector<presel::Veto> >;
template class art::Wrapper<art::Assns<rb::Cluster, presel::Veto, void> >;
template class art::Wrapper<art::Assns<presel::Veto, rb::Cluster, void> >;

/* class templates for NuePreselObj */

template class std::vector<presel::NuePreselObj>;
template class art::Ptr<presel::NuePreselObj>;
template class std::vector<art::Ptr<presel::NuePreselObj> >;
template class art::Assns<rb::Cluster, presel::NuePreselObj, void>;
template class art::Assns<presel::NuePreselObj, rb::Cluster, void>;

template class std::pair< rb::Cluster, presel::NuePreselObj >;
template class std::pair< art::Ptr<rb::Cluster>, art::Ptr<presel::NuePreselObj> >;
template class std::pair< presel::NuePreselObj, rb::Cluster >;
template class std::pair< art::Ptr<presel::NuePreselObj>, art::Ptr<rb::Cluster> >;

template class art::Wrapper< std::vector<presel::NuePreselObj> >;
template class art::Wrapper<art::Assns<rb::Cluster, presel::NuePreselObj, void> >;
template class art::Wrapper<art::Assns<presel::NuePreselObj, rb::Cluster, void> >;

