gethistP()
{
  TChain ddr("lidtrain/fShower");
  ddr.Add("/nova/ana/users/edniner/LIDTraining/Nonswap/*sim.reco.hist.root");

  TH1D* ht[4][11][200];
  TH1D* httrans[4][11][20];
  int ii[4][11][200];
  double elower[11]= {0.00, 0.25, 0.75, 1.25, 1.75, 2.25, 2.75, 3.25, 3.75, 4.25, 4.75};
  double eupper[11]= {0.25, 0.75, 1.25, 1.75, 2.25, 2.75, 3.25, 3.75, 4.25, 4.75, 5.25}; 
  TCanvas *c0 = new TCanvas("c0","c0",200,10, 600,400);


  for(int r=0; r<4; r++){
    for(int i=0; i<11; i++){
      for(int l=0; l<200; l++){
	char cht[200];
	sprintf(cht,"ht_%d_%d_%d",r,i,l);
	ht[r][i][l] = new TH1D(cht, cht, 50, 0, 0.050);
	char cdedx[200];
	sprintf(cdedx,"showerPlaneDedx[int(%d*abs(showerDir[2]))]>>ht_%d_%d_%d",l,r,i,l);
	char ccut[200];
	char rcut[200];
	sprintf(ccut,"showerTruePdg==2212&&showerTrueDang>0&&showerTrueDang<20&&showerIsFid==1&&%d<showerNPlane&&showerEnergy>%2.5f&&showerEnergy<%2.5f",l,elower[i],eupper[i]);

	if(r==0)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0>0&&(showerStart[1]+showerStop[1])/2.0>0"); 
	if(r==1)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0>0&&(showerStart[1]+showerStop[1])/2.0<0"); 
	if(r==2)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0<0&&(showerStart[1]+showerStop[1])/2.0>0"); 
	if(r==3)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0<0&&(showerStart[1]+showerStop[1])/2.0<0"); 
	TCut parcut = ccut;
	TCut regcut = rcut;
	ddr.Draw(cdedx,parcut+regcut,"");
	cout<<"long r, i,l, nentry "<<r<<" "<<i<<" "<<l<<" "<<ht[r][i][l]->GetEntries()<<" "<<ht[r][i][l]->GetEntries()<<endl;
      }
    }
  }

  for(int r=0; r<4; r++){
    for(int i=0; i<11; i++){
      for(int l=0; l<20; l++){
	char cht[200];
	sprintf(cht,"httrans_%d_%d_%d",r,i,l);
	double hmax = 0.01;
	if(l==0)hmax = 0.01;
	if(l==1)hmax = 0.01;
	if(l==2)hmax = 0.002;
	if(l>=3&&l<=5)hmax = 0.001;
	if(l>=6&&l<=9)hmax = 0.0005;
	if(l>=10&&l<=14)hmax = 0.00010;
	if(l>=15)hmax = 0.00005;
	httrans[r][i][l] = new TH1D(cht, cht, 500, 0, hmax);
	char cdedx[200];
	sprintf(cdedx,"showerTransCellDedx[%d]>>httrans_%d_%d_%d",l,r,i,l);
	char ccut[200];
	char rcut[200];
	sprintf(ccut,"showerTruePdg==2212&&showerTrueDang>0&&showerTrueDang<20&&showerIsFid==1&&showerEnergy>%2.5f&&showerEnergy<%2.5f",elower[i],eupper[i]);

	if(r==0)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0>0&&(showerStart[1]+showerStop[1])/2.0>0");
	if(r==1)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0>0&&(showerStart[1]+showerStop[1])/2.0<0");
	if(r==2)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0<0&&(showerStart[1]+showerStop[1])/2.0>0");
	if(r==3)sprintf(rcut,"(showerStart[0]+showerStop[0])/2.0<0&&(showerStart[1]+showerStop[1])/2.0<0");
	TCut parcut = ccut;         
	TCut regcut = rcut;
	ddr.Draw(cdedx,parcut+regcut,"");
	cout<<"trans i,l, nentry "<<r<<" "<<i<<" "<<l<<" "<<httrans[r][i][l]->GetEntries()<<endl;
      }
    }
  }

  TFile f("/nova/ana/users/ksachdev/lidtraining/round1/dedx/protondedxhist_fd_1.root","recreate");
  for(int r=0; r<4; r++){
    for(int i=0;i<11;i++){
      for(int l=0;l<200;l++){
	char cht[200];
	sprintf(cht,"ht_%d_%d_%d", r, i, l);
	ht[r][i][l]->GetXaxis()->SetTitle("dE/dX (GeV/cm)");
	ht[r][i][l]->GetYaxis()->SetTitle("Events");
	ht[r][i][l]->Write(cht);
      }
    }
  }
  for(int r=0; r<4; r++){
    for(int i=0;i<11;i++){
      for(int l=0;l<20;l++){
	char cht[200];
	sprintf(cht,"httrans_%d_%d_%d", r, i, l);
	httrans[r][i][l]->GetXaxis()->SetTitle("dE/dX (GeV/cm)");
	httrans[r][i][l]->GetYaxis()->SetTitle("Events");
	httrans[r][i][l]->Write(cht);
      }
    }
  }
  f.Close();

  TCanvas *c1 = new TCanvas("c1","c0",200,10, 900,600);
  c1->Divide(3,2);
  c1->cd(1);
  c1_1->SetLeftMargin(1.4*c1_1->GetLeftMargin());
  ht[0][2][0]->GetXaxis()->SetRangeUser(0, 0.02);
  ht[0][2][0]->GetYaxis()->SetTitleOffset(1.25);
  ht[0][2][0]->Draw();
  TGraphErrors *intdt0=new TGraphErrors();
  for(int i=0;i<2000;i++){
    double x = i*0.05/2000.;
    double y = ht[0][2][0]->Interpolate(x);
    intdt0->SetPoint(i+1, x, y);
    intdt0->SetPointError(i, 0, 0);
  }
  intdt0->SetLineWidth(3);
  intdt0->SetLineColor(kBlue);
  intdt0->Draw("same lp0");
  c1->Update();
  c1->cd(2);
  c1_2->SetLeftMargin(1.4*c1_2->GetLeftMargin());
  ht[1][2][10]->GetXaxis()->SetRangeUser(0, 0.02);
  ht[1][2][10]->GetYaxis()->SetTitleOffset(1.25);
  ht[1][2][10]->Draw();
  TGraphErrors *intdt0=new TGraphErrors();
  for(int i=0;i<2000;i++){
    double x = i*0.05/2000.;
    double y = ht[1][2][10]->Interpolate(x);
    intdt0->SetPoint(i+1, x, y);
    intdt0->SetPointError(i, 0, 0);
  }
  intdt0->SetLineWidth(3);
  intdt0->SetLineColor(kBlue);
  intdt0->Draw("same lp0");
  c1->Update();

  c1->cd(3);
  c1_3->SetLeftMargin(1.4*c1_3->GetLeftMargin());
  ht[2][2][20]->GetXaxis()->SetRangeUser(0, 0.02);
  ht[2][2][20]->GetYaxis()->SetTitleOffset(1.25);
  ht[2][2][20]->Draw();
  TGraphErrors *intdt0=new TGraphErrors();
  for(int i=0;i<2000;i++){
    double x = i*0.05/2000.;
    double y = ht[2][2][20]->Interpolate(x);
    intdt0->SetPoint(i+1, x, y);
    intdt0->SetPointError(i, 0, 0);
  }
  intdt0->SetLineWidth(3);
  intdt0->SetLineColor(kBlue);
  intdt0->Draw("same lp0");
  c1->Update();

  c1->cd(4);
  c1_4->SetLeftMargin(1.4*c1_4->GetLeftMargin());
  ht[3][2][30]->GetXaxis()->SetRangeUser(0, 0.02);
  ht[3][2][30]->GetYaxis()->SetTitleOffset(1.25);
  ht[3][2][30]->Draw();
  TGraphErrors *intdt0=new TGraphErrors();
  for(int i=0;i<2000;i++){
    double x = i*0.05/2000.;
    double y = ht[3][2][30]->Interpolate(x);
    intdt0->SetPoint(i+1, x, y);
    intdt0->SetPointError(i, 0, 0);
  }
  intdt0->SetLineWidth(3);
  intdt0->SetLineColor(kBlue);
  intdt0->Draw("same lp0");
  c1->Update();
}

