////////////////////////////////////////////////////////////////////////
/// \file    SRNuePresel.cxx
/// \brief   This class contains nue preselection info
/// \author  $Author: gsdavies $
////////////////////////////////////////////////////////////////////////
#include<limits>
#include "StandardRecord/SRNuePresel.h"

namespace caf 
{
  
  SRNuePresel::SRNuePresel():
    passpre(std::numeric_limits<bool>::signaling_NaN())                  
  {  
  }
  
  
  SRNuePresel::~SRNuePresel()
  {  
  }

  void SRNuePresel::setDefault()
  {
    passpre = false;
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
