#include<limits>

#include "StandardRecord/SRSlcME.h"


namespace caf 
{
  
  SRSlcME::SRSlcME():
  mid(std::numeric_limits<float>::signaling_NaN()),
  nhit(std::numeric_limits<unsigned short>::signaling_NaN()),        
  nretriggers(std::numeric_limits<unsigned short>::signaling_NaN()),        
  nmatches(std::numeric_limits<unsigned short>::signaling_NaN()),        
  calE(std::numeric_limits<float>::signaling_NaN()),        
  pe(std::numeric_limits<float>::signaling_NaN()),        
  adc(std::numeric_limits<float>::signaling_NaN()),        
  adcretriggers(std::numeric_limits<float>::signaling_NaN()),        
  deltat(std::numeric_limits<float>::signaling_NaN()),      
  disttoslc(std::numeric_limits<float>::signaling_NaN()), 
  assocwithslc(std::numeric_limits<bool>::signaling_NaN()),
  meanpos(std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN())
  {}
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
