////////////////////////////////////////////////////////////////////////
// \file    StandardRecord.cxx
// \brief   The StandardRecord is the primary top-level object in the 
//          Common Analysis File trees.   
// \version $Id: StandardRecord.cxx,v 1.5 2012-12-06 20:18:33 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-12-06 20:18:33 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/StandardRecord.h"


namespace caf  
{
  
  StandardRecord::StandardRecord():
  hdr(),
  spill(),
  slc(),
  trk(), 
  shw(), 
  vtx(), 
  me(), 
  energy(),
  sel(),
  sand(),
  mc(),
  parent()
  {  }
  
  StandardRecord::~StandardRecord(){
    
    
  }
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
