#include "art/Persistency/Common/Wrapper.h"

#include "SummaryData/CosmicExposure.h"
#include "SummaryData/DataRunNumInMC.h"
#include "SummaryData/POTSum.h"
#include "SummaryData/RunData.h"
#include "SummaryData/SpillData.h"
#include "SummaryData/SubRunData.h"
#include "SummaryData/EventQuality.h"

template class std::vector<sumdata::RunData>;
template class art::Wrapper<sumdata::RunData>;
template class art::Wrapper< std::vector<sumdata::RunData>    >;

template class std::vector<sumdata::SubRunData>;
template class art::Wrapper<sumdata::SubRunData>;
template class art::Wrapper< std::vector<sumdata::SubRunData> >;

template class std::vector<sumdata::POTSum>;
template class art::Wrapper<sumdata::POTSum>;
template class art::Wrapper< std::vector<sumdata::POTSum>     >;

template class std::vector<sumdata::CosmicExposure>;
template class art::Wrapper<sumdata::CosmicExposure>;
template class art::Wrapper< std::vector<sumdata::CosmicExposure>  >;

template class std::vector<sumdata::SpillData>;
template class art::Wrapper<sumdata::SpillData>;
template class art::Wrapper< std::vector<sumdata::SpillData>  >;

template class std::vector<sumdata::DataRunNumInMC>;
template class art::Wrapper<sumdata::DataRunNumInMC>;
template class art::Wrapper< std::vector<sumdata::DataRunNumInMC>  >;

template class std::vector<sumdata::EventQuality>;
template class art::Wrapper<sumdata::EventQuality>;
template class art::Wrapper< std::vector<sumdata::EventQuality>  >;
