#!/bin/bash
#copy from bluarc the overlay secondary files.  The Concatenate them together into one file.

echo $PWD

mkdir overlay

echo "Making overlay dir"
ls 

echo "Copy input files to overlay dir"
${CPN} -D $@ ./
ls

echo "Making text file of file names"
ls -d -1 $PWD/*.root > $PWD/overlays.txt

echo "What's in the overlays.txt file"

cat $PWD/overlays.txt

echo "Running concat_files.fcl"
nova -c ${SRT_PUBLIC_CONTEXT}/Utilities/concat_files.fcl -o $PWD/overlayfiles.root -S $PWD/overlays.txt

echo "Remove overlays.txt file"
pwd
rm -f $PWD/overlays.txt

echo Moving overlay files
mv $PWD/overlayfiles.root $PWD/overlay/

rm -f $PWD/*root


echo "Finished the GridCopyOverlay.sh script"
