#!/bin/bash

: ${SECONDARY_DATASET:?"Need to set SECONDARY_DATASET non-empty"}
: ${NUMBER_OF_SECONDARY:?"Need to set NUMBER_OF_SECONDARY non-empty"}

#get all files from the secandary file list
file_list=`samweb -e $EXPERIMENT list-definition-files $SECONDARY_DATASET`

#get the number of files in the file list
RANGE=`sameweb -e $EXPERIMENT count-definition-files $SECONDARY_DATASET`

#block to select make a random file list
secondary_list=""
let counter=0

while [ "$counter" -lt "$NUMBER_OF_SECONDARY" ]; do
    for f in $file_list
    do
	comp_test='false'
	for g in $secondary_list
	do
            if [ "$f" != "$g" ] ; then
		comp_test='false'
            else
		comp_test='true'
		break
            fi
	done
	element=$RANDOM
	let "element %= $RANGE"
	if [ "$element" -lt "$NUMBER_OF_SECONDARY" ] ; then
            if [ "$comp_test" = "false" ] ; then
		secondary_list="$secondary_list$f "
              #echo $f >> loop_test.txt
		let counter=$counter+1
            fi
	fi
	if [ "$counter" -ge "$NUMBER_OF_SECONDARY" ] ; then
            break
	fi
    done
done

#copy the random list of secondary files to the worker node
for f in $secondary_list
do
    ifdh_fetch -e $EXPERIEMENT $f
    echo $f >> overlays.txt #make a text file list of the secondaries
done

#Cancat the secondary files into one file.  Makes it easier to manage for the later overlay job.
#Assumes that nova has already been setup.
command="nova -c ${SRT_PUBLIC_CONTEXT}/Utilities/concat_files.fcl -S ./overlays.txt -o ./overlayfiles.root"
echo "$command"
eval $cammand

#A file called overlayfiles.root should now exist on the worker node.

