#!/bin/bash

SAM_DATASET=$1
SAM_PROJECT_BASE=$2

SAM_PROJECT=${SAM_PROJECT_BASE}_`date +%d.%m.%Y_%H.%M.%S`

export EXPERIMENT=nova
export IFDH_BASE_URI="http://samweb.fnal.gov:8480/sam/$EXPERIMENT/api"

echo "Project: $SAM_PROJECT"

ifdh startProject $SAM_PROJECT $EXPERIMENT $SAM_DATASET $USER $GROUP
