#!/bin/bash



function ValidateDAQ2RawDigit {

rawfile=`basename $1`
daqfile=daq2rawdigit-${rawfile}.root
daqhistfile=daq2rawdigit-hist-${rawfile}.root
vdaqfile=validatedaq2rawdigit-${rawfile}.root
vdaqhistfile=validatedaq2rawdigit-hist-${rawfile}.root

echo "raw file:" $rawfile
echo "daq files:" $daqfile  $daqhistfile
echo "daq validation files:" $vdaqfile $vdaqhistfile

#convert file from raw to root


echo ">>>>>>>>>>>>>>>>>>>>>>>>>>Convert raw file"
echo "cmd: nova -c daq2rawdigitjob.fcl -s $1 -o $daqfile -T $daqhistfile -n 10"
nova -c daq2rawdigitjob.fcl -s $1 -o $daqfile -T $daqhistfile  -n 10 
echo "<<<<<<<<<<<<<<<<<<<<<<<<<Convert file done!"

echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>Validate DAQ2RawDigit"
echo "cmd: nova -c validatedaq2rawdigitjob.fcj -s $daqfile -o $vdaqfile -T $vdaqhistfile -n 10"
nova -c validatedaq2rawdigitjob.fcl -s $daqfile -o $vdaqfile -T $vdaqhistfile -n 10
echo "<<<<<<<<<<<<<<<<<<<<<<<<<<Validate DAQ2RawDigit done"

}





main() {

rawfile=/nova/data/novaroot/NDOS/RAWFILES/ndos_r00011837_s07_t02.raw
#file=/nova/data/novaroot/NDOS/production-art-v0.5.2/2011-03-26/ndos_r00011837_s07_t02.raw-S11.03.14.root
source /grid/fermiapp/nova/novaart/novasoft/releases/development/setup/setup_novasoft_ifcluster.sh -r development

echo $rawfile

ValidateDAQ2RawDigit $rawfile 


}

main $"@"


