#!/bin/bash

# Dumb macro to check that each subdirectory only includes files from earlier in the dependency order. Any bad includes go to stdout

grep include Core/*       | grep 'CAFAna/' | grep -v '/Core/'
grep include Vars/*       | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/'
grep include Cuts/*       | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/'
grep include Systs/*       | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/' | grep -v '/Systs/'
grep include Decomp/*     | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/' | grep -v '/Systs/' | grep -v '/Decomp/'
grep include Extrap/*     | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/' | grep -v '/Systs/' | grep -v '/Decomp/' | grep -v '/Extrap/'
grep include Prediction/* | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/' | grep -v '/Systs/' | grep -v '/Decomp/' | grep -v '/Extrap/' | grep -v '/Prediction/'
grep include Experiment/* | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/' | grep -v '/Systs/' | grep -v '/Decomp/' | grep -v '/Extrap/' | grep -v '/Prediction/' | grep -v '/Experiment/'
grep include FC/*         | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/' | grep -v '/Systs/' | grep -v '/Decomp/' | grep -v '/Extrap/' | grep -v '/Prediction/' | grep -v '/Experiment/' | grep -v '/FC/'
grep include Analysis/*   | grep 'CAFAna/' | grep -v '/Core/' | grep -v '/Vars/' | grep -v '/Cuts/' | grep -v '/Systs/' | grep -v '/Decomp/' | grep -v '/Extrap/' | grep -v '/Prediction/' | grep -v '/Experiment/' | grep -v '/FC/' | grep -v '/Analysis/'
