import sys
import os
import psycopg2

det=sys.argv[1]

try:
    conn = psycopg2.connect("dbname=nova_prod host=novadaq-far-db-03.fnal.gov user=novadaq port=5432")
except:
    print "I am unable to connect to the database"
    exit(0)
    
cur = conn.cursor()
    
SQL = "select run from {}.runs where tstop is NULL order by run desc".format(det)

cur.execute(SQL)

rows = cur.fetchall()

irow=0

for row in rows:
    if irow != 0:
        run = row[0]
        run1=int(run)/100
        dir = os.environ['NOVA_DATA'] + '/nearline-OnMon/' + det + '/' + sys.argv[2] + '/' + format(run1,"06d") + '/' + format(run,"08d")
        print dir
        if os.path.exists(dir):
            nfiles=len([name for name in os.listdir(dir) if os.path.isfile(os.path.join(dir,name))])
            if nfiles > 0:
                cmd = "updateRunHistoryTables -d {} {} {}".format(det,run,sys.argv[2])
                print cmd
                os.system(cmd)
            

    irow += 1
    
