//
// Build a dictionary.
//
// $Id: classes.h,v 1.9 2012-10-29 16:42:11 brebel Exp $
// $Author: jpaley $
// $Date: 2012-10-29 16:42:11 $
// 
// Original author Rob Kutschke, modified by klg
//
// Notes:
// 1) The system is not able to deal with
//    art::Wrapper<std::vector<std::string> >;
//    The problem is somewhere inside root's reflex mechanism
//    and Philippe Canal says that it is ( as of March 2010) a
//    known problem.  He also says that they do not have any
//    plans to fix it soon.  We can always work around it 
//    by putting the string inside another object.

#include "art/Persistency/Common/Wrapper.h"
#include "RunHistory/RunHistory.h"
//
// Only include objects that we would like to be able to put into the event.
// Do not include the objects they contain internally.
//
template class std::vector<nova::dbi::BadChan_t>;
template class std::vector<nova::dbi::ChanInfo_t>;

template class std::pair<geo::OfflineChan,std::vector<nova::dbi::BadChan_t> >;
template class std::pair<geo::OfflineChan,std::vector<nova::dbi::ChanInfo_t> >;
