////////////////////////////////////////////////////////////////////////
// \file    SRIDBranch.cxx
// \brief   An SRIDBranch contains event ID and selection variables.
//          It is intended for use in the Common Analysis ROOT trees.
//
// \version $Id: SRIDBranch.cxx,v 1.3 2012-12-07 06:37:29 gsdavies Exp $
// \author  rocco@physics.umn.edu
// \date    $Date: 2012-12-07 06:37:29 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRIDBranch.h"


namespace caf 
{
  
  SRIDBranch::SRIDBranch():
  remid(), 
  qepid(),  
  elecid(),
  lem(),
  nuepre(),
  rvp(),
  cosrej(),
  nuecosrej(),
  contain(),
  veto()
  {  }
  
  SRIDBranch::~SRIDBranch()
  {  }
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
