////////////////////////////////////////////////////////////////////////
/// \file    SRNuePresel.h
/// \brief   Header for SRNuePresel class that contains nue preselection information  
/// \author  $Author: gsdavies $
////////////////////////////////////////////////////////////////////////
#ifndef SRNUEPRESEL_H
#define SRNUEPRESEL_H


namespace caf
{
  /// This class contains nue preselection information  
  class SRNuePresel
    {
    public:
      ///  Default constructor. 
      SRNuePresel();
      
      /// Default destuctor.
      ~SRNuePresel();

      bool passpre;   ///< Bool saying if event passed Nue Preselection

      void setDefault();

};
  
} // end namespace

#endif // SRNUEPRESEL_H
//////////////////////////////////////////////////////////////////////////
