////////////////////////////////////////////////////////////////////////
// \file    SRShowerBranch.cxx
// \brief   An SRShowerBranch contains vectors of SRShowers.  
//          It is intended for use in the Common Analysis ROOT trees.
//
// \version $Id: SRShowerBranch.cxx,v 1.4 2012-11-19 17:32:22 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRShowerBranch.h"


namespace caf 
{
  SRShowerBranch::SRShowerBranch():
  shwlid()
  {  }
  
  SRShowerBranch::~SRShowerBranch(){  }

  void SRShowerBranch::fillSizes()
  { 
    nshwlid = shwlid.size();
  }
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
