/////////////////////////////////////////////////////////////////////////
/// \brief   Lightweight module that calculates total cosmic ray exposure
/// \author  Chris Backhouse - bckhouse@caltech.edu
/// \date    Oct. 2011
/////////////////////////////////////////////////////////////////////////
#ifndef COSMICEXPOSURE_H
#define COSMICEXPOSURE_H

#include <iostream>

namespace sumdata {
  
  class CosmicExposure {
  public: 
    CosmicExposure();
    ~CosmicExposure();
    
    void Print(std::ostream &stream);
    
    double totlivetime; //< seconds
  };
  
}
#endif //COSMICEXPOSURE_H
////////////////////////////////////////////////////////////////////


