//////////////////////////////////////////////////////////////////////////
/// \brief   TODO
/// \author  ricken@fnal.gov
/// \date    Sept. 2012
/////////////////////////////////////////////////////////////////////////
#ifndef DOCAINFO_H
#define DOCAINFO_H

#include "TVector3.h"

namespace rb { class Track;}

namespace vf
{
  class DOCAInfo
  {
  public:
    DOCAInfo(rb::Track track1, rb::Track track2);

    // Construct the DOCAInfo object with the starting and ending points of 
    // the two prongs.
  public:
    void DoCalculation(TVector3 I1, TVector3 I2, TVector3 F1, TVector3 F2);

    // The reconstructed vertex and angle, together with the distance of 
    // closest approach.
  public:
    TVector3 VertexReco() const;
    double AngleReco() const;
    double Doca() const;


  private:
    TVector3 vertex_reco_;
    TVector3 delta1_, delta2_;
    double doca_;
  };
}


#endif
//////////////////////////////////////////////////////////////////////////
